async

Monadic concurrency library
README

Async is a library for asynchronous programming, i.e., programming where some
part of the program must wait for things that happen at times determined by
some external entity (like a human or another program). This includes pretty
much any program that uses blocking calls (e.g., networking code, disk access),
timeouts, or event loops (e.g., GUIs).

Read more in Chapter 18 of Real World
OCaml
.

API documentation for the latest release can be found
here.

Install
Published
21 Mar 2022
Sources
async-v0.15.0.tar.gz
sha256=0d3bb21c4bed1edca25ede5e4fbc76790e22379806183846baff475281a6d6a9
Dependencies
dune
>= "2.0.0"
textutils
>= "v0.15" & < "v0.16"
ppx_log
>= "v0.15" & < "v0.16"
ppx_jane
>= "v0.15" & < "v0.16"
core_unix
>= "v0.15" & < "v0.16"
core_kernel
>= "v0.15" & < "v0.16"
core
>= "v0.15" & < "v0.16"
async_unix
>= "v0.15" & < "v0.16"
async_rpc_kernel
>= "v0.15" & < "v0.16"
async_kernel
>= "v0.15" & < "v0.16"
ocaml
>= "4.08.0"
Reverse Dependencies
alcotest-async
>= "1.6.0"
amqp-client
>= "1.1.0"
angstrom-async
>= "0.7.0"
async-zmq
< "0.3.0"
async_find
>= "v0.15.0"
async_inotify
>= "v0.15.0"
async_interactive
>= "v0.15.0"
async_shell
>= "v0.15.0"
async_smtp
>= "v0.15.0"
async_ssl
>= "v0.15.0"
async_udp
>= "v0.15.0"
async_websocket
>= "v0.15.0"
aws-s3
>= "1.1.0" & < "2.0.0"
bonsai
>= "v0.15.0"
command_rpc
>= "v0.15.0"
conduit-async
>= "1.1.0"
cstruct-async
>= "6.1.0"
delimited_parsing
>= "v0.15.0"
ecaml
>= "v0.15.0"
email_message
>= "v0.15.0"
frenetic
>= "3.2.0" & < "5.0.0"
h2-async
>= "0.8.0"
horned_worm
= "0.3.5"
httpaf_caged
>= "1.0.1"
ibx
>= "0.7.3"
mariadb
< "0.5.1"
message-switch
= "0.10.5.1"
netsnmp
>= "v0.15.0"
notty_async
>= "v0.15.0"
ocaml_plugin
>= "v0.15.0"
opass
< "0.2.1"
openflow
>= "0.9.0"
opium
< "0.11.0"
ox
>= "1.1.0"
pgx_async
< "1.0"
postgres_async
>= "v0.15.0"
ppx_deriving_rpc
!= "6.0.0" & < "7.1.0"
rpc
>= "6.1.0" & < "7.1.0"
rpc_parallel
>= "v0.15.0"
rpclib-async
!= "6.0.0"
sequencer_table
>= "v0.15.0"
sexp
>= "v0.15.0"
sexp_macro
>= "v0.15.0"
shuttle
>= "0.4.0"
tls-async
>= "0.15.3"
vcaml
>= "v0.15.0"